org.apache.lucene.search

## Class FieldCache.Floats

- java.lang.Object
- - org.apache.lucene.search.FieldCache.Floats

Enclosing interface:
  FieldCache

    public abstract static class FieldCache.Floats
    extends Object

Field values as 32-bit floats

### Field Summary

Fields
`static FieldCache.Floats` `EMPTY` Zero value for every document

### Constructor Summary

Constructors
Constructor and Description
`FieldCache.Floats()`

### Method Summary

Methods
`abstract float` `get(int docID)` Return an float representation of this field's value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### EMPTY

    public static final FieldCache.Floats EMPTY

Zero value for every document

### Constructor Detail

#### FieldCache.Floats

    public FieldCache.Floats()

### Method Detail

#### get

    public abstract float get(int docID)

Return an float representation of this field's value.